summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xci/startcompose.sh14
-rw-r--r--docs/src/gettingstarted/testing.md1
2 files changed, 11 insertions, 4 deletions
diff --git a/ci/startcompose.sh b/ci/startcompose.sh
index e65fa86..5b44c2d 100755
--- a/ci/startcompose.sh
+++ b/ci/startcompose.sh
@@ -13,14 +13,20 @@ fi
# Get absolute path to current directory this script is in
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
-pushd "$SCRIPT_DIR"/..
+pushd "$SCRIPT_DIR"/.. || exit 1
# Create self-signed certificate
mkdir -p ci/docker/selfsigned
./ci/docker/createcert.sh
+
# Up the containers and abort on exit. Also rebuild the necessary steps if there are changes
-# You can symlink docker-compose to podman-compose to use Podman
-docker-compose up --build --force-recreate --abort-on-container-exit
+# You can pass EDUVPN_PODCOMP=1 to use podman-compose instead of docker-compose
+compose_cmd="docker-compose"
+if [ "$EDUVPN_PODCOMP" ]; then
+ compose_cmd="podman-compose"
+fi
+
+"$compose_cmd" up --build --force-recreate --abort-on-container-exit
-popd
+popd || exit 1
diff --git a/docs/src/gettingstarted/testing.md b/docs/src/gettingstarted/testing.md
index 079c052..7c26202 100644
--- a/docs/src/gettingstarted/testing.md
+++ b/docs/src/gettingstarted/testing.md
@@ -29,6 +29,7 @@ This script is also used in the continuous integration, so we recommend to run t
There are other environment variables that can be used:
- `OAUTH_EXPIRED_TTL`: Use this for a server which has a low OAuth access token expiry time, e.g. 10 seconds. You would then set this variable to `"10"` so that a test is ran which waits for 10 seconds for the OAuth tokens to expire
+- `EDUVPN_PODCOMP`: Set this to 1 to instruct the `./ci/startcompose.sh` script to use [podman-compose](https://github.com/containers/podman-compose) if you prefer this over using docker-compose.
## Testing the wrappers
To test the wrappers, issue the following command in a shell (you will need dependencies for all wrappers if you do this[^1]):